GRML-PASTE(1)

NAME
grml-paste - command line interface for paste.grml.org

SYNOPSIS

grml-paste [options] ACTION <args>

DESCRIPTION

grml-paste is a command line interface for uploading plain text to https://paste.grml.org/

OPTIONS

-e hours, --expire=HOURS
    Time at which paste should expire.

-h, --help
    Print help text.

-l lang, --lang=LANG
    Type of language to highlight.

-n name, --name=NAME
    Set your nickname (defaults to login username).

-s server, --server=SERVER
    Set URL of paste server (defaults to paste.grml.org).

-p, --private
    Make private (hidden) submission to server, thus your paste is not visible on the webpage.

-v, --verbose
    More verbose output.

ACTIONS

add
    Add paste to the server: <1.line> <2.line> ...

del <digest>
    Delete paste from server.

get <id>
    Get paste from server.

addurl <url>
    Add short-URL.

geturl <url>
    Resolve short-URL.

getclicks <url>
    Get clicks of short-URL.

getlangs
    Get supported language highlighting types from server.

help <action>
    Print more verbose help about specified <action>.

USAGE EXAMPLES

dmesg | tail | grml-paste add --name=grmluser
    Upload last ten lines of dmesg output as user grmluser.

grep -e EE -e WW /var/log/Xorg.0.log | grml-paste add -p
    Upload error and warning messages of X.org log as hidden entry.

BUGS

Please report feedback, bugreports[1] and wishes to the grml team[2].

AUTHORS

Michael Gebetsroither <gebi@grml.org[3]>

NOTES

1.  bugreports
    https://grml.org/bugs/

2.  to the grml team
    https://grml.org/contact/

3.  gebi@grml.org
    mailto:gebi@grml.org